Package org.zkoss.zul

## Interface ListgroupRendererExt

-     public interface ListgroupRendererExt

  Provides additional control to `ListitemRenderer` for instantiating `Listgroup` and `Listgroupfoot`.
  Since:
    3.5.0
  Author:
    tomyeh

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Listgroup` | `newListgroup​(Listbox listbox)` | Creates an instance of `Listgroup` for rendering.
    `Listgroupfoot` | `newListgroupfoot​(Listbox listbox)` | Creates an instance of `Listgroupfoot` for rendering.

- - ### Method Detail

    - #### newListgroup

          Listgroup newListgroup​(Listbox listbox)

      Creates an instance of `Listgroup` for rendering. The created component will be passed to `ListitemRenderer.render(org.zkoss.zul.Listitem, T, int)`.

      Note: remember to invoke `AbstractComponent.applyProperties()` to initialize the properties, defined in the component definition, properly.

      If null is returned, the default row is created as follow.

                  final Listgroup group = new Listgroup();
                  group.applyProperties();
                  return group;

      Note: DO NOT call `AbstractComponent.setParent(org.zkoss.zk.ui.Component)`.

      Returns:
        the listgroup if you'd like to create it differently, or null if you want `Listbox` to create it for you

    - #### newListgroupfoot

          Listgroupfoot newListgroupfoot​(Listbox listbox)

      Creates an instance of `Listgroupfoot` for rendering. The created component will be passed to `ListitemRenderer.render(org.zkoss.zul.Listitem, T, int)`.

      Note: remember to invoke `AbstractComponent.applyProperties()` to initialize the properties, defined in the component definition, properly.

      If null is returned, the default row is created as follow.

                  final Listgroupfoot groupfoot = new Listgroupfoot();
                  groupfoot.applyProperties();
                  return groupfoot;

      Note: DO NOT call `AbstractComponent.setParent(org.zkoss.zk.ui.Component)`.

      Returns:
        the listgroupfoot if you'd like to create it differently, or null if you want `Listbox` to create it for you